/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cnam.ing39.io2.modele;

/**
 *
 * @author rosmord
 */
public class ADDCommande implements Commande{

    private final double parametre;

    public ADDCommande(double parametre) {
        this.parametre = parametre;
    }
    
    @Override
    public void executer(Contexte c) {
        c.setValeurCourante(parametre + c.getValeurCourante());
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 43 * hash + (int) (Double.doubleToLongBits(this.parametre) ^ (Double.doubleToLongBits(this.parametre) >>> 32));
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final ADDCommande other = (ADDCommande) obj;
        if (Double.doubleToLongBits(this.parametre) != Double.doubleToLongBits(other.parametre)) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "ADD "+ parametre;
    }
    
    
}
